MSVSS (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.vss.MSVSS class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSS

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.vss.MSVSS

Direct Known Subclasses:
  MSVSSADD, MSVSSCHECKIN, MSVSSCHECKOUT, MSVSSCP, MSVSSCREATE, MSVSSGET, MSVSSHISTORY, MSVSSLABEL

public abstract class MSVSS
extends Task

A base class for creating tasks for executing commands on Visual SourceSafe.

The class extends the 'exec' task as it operates by executing the ss.exe program supplied with SourceSafe. By default the task expects ss.exe to be in the path, you can override this be specifying the ssdir attribute.

This class provides set and get methods for 'login' and 'vsspath' attributes. It also contains constants for the flags that can be passed to SS.

Author:
  Craig Cottingham, Andrew Everitt

Field Summary
`static java.lang.String` | `COMMAND_ADD` The 'Add' command
`static java.lang.String` | `COMMAND_CHECKIN` The 'Checkin' command
`static java.lang.String` | `COMMAND_CHECKOUT` The 'Checkout' command
`static java.lang.String` | `COMMAND_CP` The 'CP' command
`static java.lang.String` | `COMMAND_CREATE` The 'Create' command
`static java.lang.String` | `COMMAND_GET` The 'Get' command
`static java.lang.String` | `COMMAND_HISTORY` The 'History' command
`static java.lang.String` | `COMMAND_LABEL` The 'Label' command
`static java.lang.String` | `FLAG_AUTORESPONSE_DEF`
`static java.lang.String` | `FLAG_AUTORESPONSE_NO`
`static java.lang.String` | `FLAG_AUTORESPONSE_YES`
`static java.lang.String` | `FLAG_LOGIN`
`static java.lang.String` | `FLAG_OVERRIDE_WORKING_DIR`
`static java.lang.String` | `FLAG_QUIET`
`static java.lang.String` | `FLAG_RECURSION`
`static java.lang.String` | `FLAG_VERSION`
`static java.lang.String` | `FLAG_VERSION_DATE`
`static java.lang.String` | `FLAG_VERSION_LABEL`
`static java.lang.String` | `FLAG_WRITABLE`
`static java.lang.String` | `PROJECT_PREFIX`
`static java.lang.String` | `VALUE_NO`
`static java.lang.String` | `VALUE_YES`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MSVSS()`

Method Summary
`void` | `getLoginCommand(Commandline cmd)`
`java.lang.String` | `getSSCommand()` Builds and returns the command string to execute ss.exe
`java.lang.String` | `getVsspath()`
`protected int` | `run(Commandline cmd)`
`void` | `setLogin(java.lang.String login)` The login to use when accessing VSS, formatted as "username,password"; optional.
`void` | `setServerpath(java.lang.String serverPath)` Set the directory where `srssafe.ini` resides; optional.
`void` | `setSsdir(java.lang.String dir)` directory where `ss.exe` resides; optional.
`void` | `setVsspath(java.lang.String vssPath)` SourceSafe path which specifies the project/file(s) you wish to perform the action on; required.

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROJECT_PREFIX

    public static final java.lang.String PROJECT_PREFIX

See Also:
  Constant Field Values

### COMMAND_CP

    public static final java.lang.String COMMAND_CP

  The 'CP' command

  See Also:
    Constant Field Values

### COMMAND_ADD

    public static final java.lang.String COMMAND_ADD

  The 'Add' command

  See Also:
    Constant Field Values

### COMMAND_GET

    public static final java.lang.String COMMAND_GET

  The 'Get' command

  See Also:
    Constant Field Values

### COMMAND_CHECKOUT

    public static final java.lang.String COMMAND_CHECKOUT

  The 'Checkout' command

  See Also:
    Constant Field Values

### COMMAND_CHECKIN

    public static final java.lang.String COMMAND_CHECKIN

  The 'Checkin' command

  See Also:
    Constant Field Values

### COMMAND_LABEL

    public static final java.lang.String COMMAND_LABEL

  The 'Label' command

  See Also:
    Constant Field Values

### COMMAND_HISTORY

    public static final java.lang.String COMMAND_HISTORY

  The 'History' command

  See Also:
    Constant Field Values

### COMMAND_CREATE

    public static final java.lang.String COMMAND_CREATE

  The 'Create' command

  See Also:
    Constant Field Values

### FLAG_LOGIN

    public static final java.lang.String FLAG_LOGIN

See Also:
  Constant Field Values

### FLAG_OVERRIDE_WORKING_DIR

    public static final java.lang.String FLAG_OVERRIDE_WORKING_DIR

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_DEF

    public static final java.lang.String FLAG_AUTORESPONSE_DEF

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_YES

    public static final java.lang.String FLAG_AUTORESPONSE_YES

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_NO

    public static final java.lang.String FLAG_AUTORESPONSE_NO

See Also:
  Constant Field Values

### FLAG_RECURSION

    public static final java.lang.String FLAG_RECURSION

See Also:
  Constant Field Values

### FLAG_VERSION

    public static final java.lang.String FLAG_VERSION

See Also:
  Constant Field Values

### FLAG_VERSION_DATE

    public static final java.lang.String FLAG_VERSION_DATE

See Also:
  Constant Field Values

### FLAG_VERSION_LABEL

    public static final java.lang.String FLAG_VERSION_LABEL

See Also:
  Constant Field Values

### FLAG_WRITABLE

    public static final java.lang.String FLAG_WRITABLE

See Also:
  Constant Field Values

### VALUE_NO

    public static final java.lang.String VALUE_NO

See Also:
  Constant Field Values

### VALUE_YES

    public static final java.lang.String VALUE_YES

See Also:
  Constant Field Values

### FLAG_QUIET

    public static final java.lang.String FLAG_QUIET

See Also:
  Constant Field Values

Constructor Detail

### MSVSS

    public MSVSS()

Method Detail

### setSsdir

    public final void setSsdir(java.lang.String dir)

  directory where `ss.exe` resides; optional. By default the task expects it to be in the PATH.

  Parameters:
    `dir` - the directory containing ss.exe

### getSSCommand

    public final java.lang.String getSSCommand()

  Builds and returns the command string to execute ss.exe

### setLogin

    public final void setLogin(java.lang.String login)

  The login to use when accessing VSS, formatted as "username,password"; optional.

  You can omit the password if your database is not password protected. if you have a password and omit it, Ant/VSS will hang.

  Parameters:
    `login` - the login string to use

### getLoginCommand

    public void getLoginCommand(Commandline cmd)

  Returns:
    the appropriate login command if the 'login' attribute was specified, otherwise an empty string

### setVsspath

    public final void setVsspath(java.lang.String vssPath)

  SourceSafe path which specifies the project/file(s) you wish to perform the action on; required. You should not specify the leading dollar-sign - it is prepended by Ant automatically.

  Ant can't cope with a '$' sign in an attribute so we have to add it here. Also we strip off any 'vss://' prefix which is an XMS special and should probably be removed!

  Parameters:
    `vssPath` -
  To do:
    dont add a $ prefix if it has one

### getVsspath

    public java.lang.String getVsspath()

  Returns:
    m_vssPath

### setServerpath

    public final void setServerpath(java.lang.String serverPath)

  Set the directory where `srssafe.ini` resides; optional.

  Parameters:
    `serverPath` -

### run

    protected int run(Commandline cmd)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.